@echo off
setlocal

set "BasePath=./"

REM 假设已经提供了接口名作为参数
set "InterfaceName=%~1"

REM 将接口名转换为小写并设置最终文件名
for /f "delims=" %%i in ('powershell -Command "('%InterfaceName%').ToLower()"') do set "LowerInterfaceName=%%i"
set "FinalFile=%BasePath%src\dao\%LowerInterfaceName%_dao.go"

REM 使用 PowerShell 替换接口名称，并指定 UTF-8 编码
powershell -Command "(Get-Content '%BasePath%etc\template\template_interface.tpl') -replace 'DemoInterface', '%InterfaceName%' | Out-File -FilePath '%BasePath%temp_interface.go' -Encoding UTF8"

REM 如果需要，将临时文件重命名为最终文件（取决于move Y?N）
move /Y "%BasePath%temp_interface.go" "%FinalFile%"

endlocal
echo Interface file %LowerInterfaceName%_dao.go generated successfully.